{ pkgs, ... }: {
  imports = [ ../profiles/core ../profiles/direnv ../profiles/zsh ../profiles/neovim ../profiles/syncthing ../profiles/kdeconnect ../profiles/tmux ../profiles/mpv ../profiles/sway ];
  home.stateVersion = "22.11";
  targets.genericLinux.enable = true;
  home.packages = [ pkgs.home-manager pkgs.element-desktop pkgs.nixgl.nixGLIntel pkgs.nixgl.nixVulkanIntel ];
  wayland.windowManager.sway.extraSessionCommands = ''
    export WLR_NO_HARDWARE_CURSORS=1
  '';
  mae.alacritty = {
    enable = true;
#    libglWrapper = true;
  };

  home.sessionVariables = {
    MOZ_ENABLE_WAYLAND = 1;
  };
  gtk = {
    enable = true;

    theme = {
      name = "Arc-Dark";
      package = pkgs.arc-theme;
    };

    gtk3.extraConfig = {
      gtk-application-prefer-dark-theme = true;
    };
  };
  programs.go = {
    enable = true;
    goPath = ".local/go";
  };
}
