{ lib, pkgs, config, ... }:
let
  cfg = config.mae.nvim.elixir;
in
with lib;
{
  options.mae.nvim.elixir.enable = lib.mkEnableOption "Enable elixir support in neovim";

  config = mkIf cfg.enable {
    mae.nvim.lsp.servers.elixirls = {
      enable = true;
      script = ''
        {
          cmd = { "${pkgs.elixir_ls}/bin/elixir-ls" },
        }
      '';
    };
    home.packages = with pkgs; [ elixir_1_14 ];
    home.sessionVariables."ELIXIR_ERL_OPTIONS" = "-kernel shell_history enabled";
    programs.neovim.plugins = with pkgs.vimPlugins; [ vim-elixir ];
  };
}
