{ lib, pkgs, config, ... }:
let
  cfg = config.mae.nvim.python;
in
with lib;
{
  options.mae.nvim.python.enable = lib.mkEnableOption "Enable python language support in neovim";

  config = mkIf cfg.enable {
    mae.nvim.lsp.servers.pyright = {
      enable = true;
      script = ''
        {
          cmd = { "${pkgs.nodePackages.pyright}/bin/pyright-langserver", "--stdio" },
        }
      '';
    };
  };
}
