{ pkgs, config, ... }:
let
  podman_sock = "unix://$XDG_RUNTIME_DIR/podman/podman.sock";
  podmanCompose = pkgs.runCommand "docker-compose-podman-compat"
    {
      buildInputs = [ pkgs.makeWrapper ];
    } ''
        mkdir -p $out/bin
        makeWrapper '${pkgs.docker-compose}/bin/docker-compose' "$out/bin/podman-compose" \
    --set-default "DOCKER_HOST" '${podman_sock}' \
    --set-default DOCKER_BUILDKIT 0
  '';
in
{
  home.packages =  [ podmanCompose ];
  home.sessionVariables.DOCKER_HOST = podman_sock; 
}
